#define MailSys_Both                  999
#define MailSys_Kill                  666
#define MailSys_OFFSET_FirstMessage   2000
#define MailSys_OFFSET_LastMessage    2001

#define MailSys_OFFSET_MessageFrom               0
#define MailSys_OFFSET_MessageFor                1
#define MailSys_OFFSET_MessageForIDs             2
#define MailSys_OFFSET_MessageSubject            3
#define MailSys_OFFSET_MessageRead               4
#define MailSys_OFFSET_MessageDownLoaded         5
#define MailSys_OFFSET_MessageFilesDL            6
#define MailSys_OFFSET_MessageNAttachedFiles     7

struct MAIL_Message
{
  char MM_From[BUFFER_LENGTH];
  char MM_For[BUFFER_LENGTH];
  char MM_ForIDs[BUFFER_LENGTH];
  char MM_Subject[BUFFER_LENGTH];
  int  MM_Read;
  int  MM_DownLoaded;
  int  MM_FilesDL;
  int  MM_NAttachedFiles;
};

BOOL MAILSCAN_CheckConfIsValid( int confnum );
BOOL MAILSCAN_RequestStringFromFile( char *filename, char *buffer, int OffSet );
int MAILSCAN_GetFirstMessage( int ConfNum );
int MAILSCAN_GetLastMessage( int ConfNum );
BOOL MAILSCAN_CheckMultiReaderMessage( V_BIGNUM UserID, char *UsersIDs );
BOOL MAILSCAN_CreateList( V_STRINGLIST *TheList );
void MAILSCAN_FreeListList( V_STRINGLIST listlist );
BOOL MAILSCAN_IsMessageForCurrentUser( char *filename );
V_STRINGLIST MAILSCAN_PrepareConfMessageList( int confnum );
struct MAIL_Message *MAILSCAN_CreateMailMsgStruct( int ConfNum, char *MessageNumber );
V_STRINGLIST MAILSCAN_PrepareMessageList( void );
void MYDOOR_DoMailScan( int argc, char *argv[] );
